REST API: Notifications: Update
This endpoint allows partial updates of a notification object. Only the fields provided in the request will be updated; all other fields remain unchanged. For example, sending a new value for the data field will update that field without affecting the rest of the notification.
Warning
- Only recurring notifications can be updated.
- Updating a one_off notification is not supported. Please delete your notification and create a new one.
PATCH API url -> /v1/notifications
Body Parameters
The following body parameters are possible:
| Field | Type | Description | Required: Android |
Required iOS |
|---|---|---|---|---|
| id | String | Notification id | ✅ | ✅ |
| appId | String | Application id | ✅ | ✅ |
| segmentId | String | Segment id. Required if constraints is not provided. Described here |
✅ | ✅ |
| constraints | Array | Constraints. Required if segmentId is not provided. In order to send to all devices please send empty array. Described here |
✅ | ✅ |
| title | String | Title text of notification. Shown above content |
✅ | ✅ |
| subTitle | String | Sub title text of notification. Shown below title and above content |
⛔️ Not supported |
optional |
| content | String | Body text of notification. Shown below title |
✅ | ✅ |
| internalTitle | String | For internal use. Title | optional | optional |
| internalNote | String | For internal use. Note | optional | optional |
| bigPictureUrl | String | Public URL to big picture On Android uses the same semantics as bigPicture method. See the Android Notification large image On iOS it looks mostly the same as on android |
optional Accepted types: .png, .jpg, .webp |
optional Accepted types: .png, .jpg, .gif |
| largeIconUrl | String | Public URL to large icon. Uses the same semantics as setLargeIcon method. See the Android Notification large icon |
optional Accepted types: .png, .jpg, .webp |
⛔️ Not supported |
| iOSNotificationBehaviorId | String | iOS Behavior Id. Described here |
⛔️ Not supported |
✅ |
| iOSNotificationCategoryId | String | iOS Category Id. Described here |
⛔️ Not supported |
✅ |
| androidChannelId | String | Android Channel Id. Described here |
✅ | ⛔️ Not supported |
| threadId | String | Group name. If provided - notifications with this value will be grouped and stacked. On Android uses the same semantics as setGroup method. See the Android Notification Groups On iOS uses the same semantics as thread-id field. See the APNs Notification thread-id |
optional | optional |
| recurringDayOfWeek | String | Accepted values: • MONDAY • TUESDAY • WEDNESDAY • THURSDAY • FRIDAY • SATURDAY • SUNDAY |
optional | optional |
| recurringTime | String | 24 hour time with minutes. Accepted minute values: 00,05,10,15,20,25,30,35,40,45,50,55 Example: 14:00 |
optional | optional |
| sendAt | Long | Send at specified date & time - Unix timestamp in milliseconds. Sent immediately if null. Example: 1771924492768 |
optional | optional |
| data | String | Custom data payload. It can be a simple text or json array or json object | optional | ⛔️ buttons are specified using iOS categories in field iOSNotificationCategoryId. Described here |
| actionButtonIds | String Array | Array of androdi action button ids. Described here |
✅ | ✅ |
| timeToLiveDays | Int | For android: How long (in days) the message should be kept in FCM storage if the device is offline. For iOS: days at which Apple's servers should stop trying to deliver this message Accepted values: 1, 2, 3 |
✅ | ✅ |
| isBackground | Boolean | • true - notification displayed in the system UI • false - no notification displayed in the system UI |
✅ | ✅ |
Response Examples
Returns notification id or error message